using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RMYY_CallCenter_Api.Bll
{
   public  class T_QC_IndexCategory
    {
        private readonly  Dal.T_QC_IndexCategory Dal = new  Dal.T_QC_IndexCategory();
        public T_QC_IndexCategory()
        { }
        #region  BasicMethod
        /// <summary>
        /// 是否存在该记录
        /// </summary>
        public bool Exists(int F_CategoryId)
        {
            return Dal.Exists(F_CategoryId);
        }

        /// <summary>
        /// 增加一条数据
        /// </summary>
        public int Add( Model.T_QC_IndexCategory model)
        {
            return Dal.Add(model);
        }

        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool Update( Model.T_QC_IndexCategory model)
        {
            return Dal.Update(model);
        }

        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool Delete(int F_CategoryId)
        {

            return Dal.Delete(F_CategoryId);
        }
        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool DeleteList(string F_CategoryIdlist)
        {
            return Dal.DeleteList(F_CategoryIdlist);
        }

        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public  Model.T_QC_IndexCategory GetModel(int F_CategoryId)
        {

            return Dal.GetModel(F_CategoryId);
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string strWhere)
        {
            return Dal.GetList(strWhere);
        }
        /// <summary>
        /// 获得前几行数据
        /// </summary>
        public DataSet GetList(int Top, string strWhere, string filedOrder)
        {
            return Dal.GetList(Top, strWhere, filedOrder);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List< Model.T_QC_IndexCategory> GetModelList(string strWhere)
        {
            DataSet ds = Dal.GetList(strWhere);
            return DataTableToList(ds.Tables[0]);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List< Model.T_QC_IndexCategory> DataTableToList(DataTable dt)
        {
            List< Model.T_QC_IndexCategory> modelList = new List< Model.T_QC_IndexCategory>();
            int rowsCount = dt.Rows.Count;
            if (rowsCount > 0)
            {
                 Model.T_QC_IndexCategory model;
                for (int n = 0; n < rowsCount; n++)
                {
                    model = Dal.DataRowToModel(dt.Rows[n]);
                    if (model != null)
                    {
                        modelList.Add(model);
                    }
                }
            }
            return modelList;
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetAllList()
        {
            return GetList("");
        }

        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public int GetRecordCount(string strWhere)
        {
            return Dal.GetRecordCount(strWhere);
        }
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
        {
            return Dal.GetListByPage(strWhere, orderby, startIndex, endIndex);
        }

        #endregion  BasicMethod
    }
}
